summaryrefslogtreecommitdiff
path: root/.gitlab-ci/bare-metal/eth008-power-up.sh
diff options
context:
space:
mode:
authorChristian Gmeiner <christian.gmeiner@gmail.com>2020-04-06 21:59:14 +0200
committerMarge Bot <eric+marge@anholt.net>2021-09-17 17:54:39 +0000
commit739ef184cc0a1fd4105053db9bfb4a8bc2f3d39a (patch)
treef1d09bada4bc0c36696cdc40cb088fbc9d474680 /.gitlab-ci/bare-metal/eth008-power-up.sh
parent736c159f54e4dabf562db2ef6820311a637b6016 (diff)
downloadmesa-739ef184cc0a1fd4105053db9bfb4a8bc2f3d39a.tar.gz
ci/bare-metal: add support for eth008 power relay
Signed-off-by: Christian Gmeiner <christian.gmeiner@gmail.com> Acked-by: Daniel Stone <daniels@collabora.com> Reviewed-by: Emma Anholt <emma@anholt.net> Part-of: <https://gitlab.freedesktop.org/mesa/mesa/-/merge_requests/12852>
Diffstat (limited to '.gitlab-ci/bare-metal/eth008-power-up.sh')
-rwxr-xr-x.gitlab-ci/bare-metal/eth008-power-up.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/.gitlab-ci/bare-metal/eth008-power-up.sh b/.gitlab-ci/bare-metal/eth008-power-up.sh
new file mode 100755
index 00000000000..2d1071bb6f3
--- /dev/null
+++ b/.gitlab-ci/bare-metal/eth008-power-up.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+relay=$1
+
+if [ -z "$relay" ]; then
+ echo "Must supply a relay arg"
+ exit 1
+fi
+
+$CI_PROJECT_DIR/install/bare-metal/eth008-power-relay.py $ETH_HOST $ETH_PORT off $relay
+sleep 5
+$CI_PROJECT_DIR/install/bare-metal/eth008-power-relay.py $ETH_HOST $ETH_PORT on $relay